Bug 1431257 - icon of delete host button displayed twice in Host Comparison
Summary: icon of delete host button displayed twice in Host Comparison
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Jozef Zigmund
QA Contact: Martin Kourim
URL:
Whiteboard: ui:compare:hosts
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-10 18:23 UTC by Martin Kourim
Modified: 2018-03-13 15:00 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:41:40 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screenshot (21.75 KB, image/png)
2017-03-10 18:23 UTC, Martin Kourim
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Martin Kourim 2017-03-10 18:23:52 UTC
Created attachment 1262040 [details]
screenshot

Description of problem:
The button for removing host from comparison has it's icon displayed twice, once on the button and once next to the button - see attached screenshot.


Version-Release number of selected component (if applicable):
5.8.0.4


How reproducible:
Very


Steps to Reproduce:
1. go to Compute -> Infrastructure -> Hosts
2. select 3 or more hosts for comparison
3. select Configuration -> Compare Selected items

Actual results:
Icon of delete buttons displayed twice.

Comment 3 CFME Bot 2017-03-23 20:02:54 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/4c85e83d828d5939316003207e657f9ff2df8d13

commit 4c85e83d828d5939316003207e657f9ff2df8d13
Author:     Jozef Zigmund <jzigmund@redhat.com>
AuthorDate: Thu Mar 23 13:31:03 2017 +0100
Commit:     Jozef Zigmund <jzigmund@redhat.com>
CommitDate: Thu Mar 23 13:31:03 2017 +0100

    Fix double rendered icon on Hosts comparison delete column button
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1431257

 app/controllers/application_controller/compare.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Martin Kourim 2017-04-03 14:32:38 UTC
Verified on 5.8.0.8-alpha1 that the delete icon is displayed correctly.

Comment 6 errata-xmlrpc 2017-05-31 14:41:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.